Name:          spirv-tools
Version:       2023.2
Release:       1mamba
Summary:       API and commands for processing SPIR-V modules
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.vulkan.org/
Source:        https://github.com/KhronosGroup/SPIRV-Tools.git/v%{version}/SPIRV-Tools-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: spirv-headers
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The SPIR-V Tools project provides an API and commands for processing SPIR-V modules.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      spirv-headers
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n SPIRV-Tools-%{version}

%build
%cmake -d build \
      -DSPIRV_WERROR=Off \
      -DBUILD_SHARED_LIBS=ON \
      -DSPIRV_TOOLS_BUILD_STATIC=OFF \
      -DSPIRV-Headers_SOURCE_DIR=%{_prefix}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/spirv-as
%{_bindir}/spirv-cfg
%{_bindir}/spirv-dis
%{_bindir}/spirv-lesspipe.sh
%{_bindir}/spirv-link
%{_bindir}/spirv-lint
%{_bindir}/spirv-opt
%{_bindir}/spirv-reduce
%{_bindir}/spirv-val

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libSPIRV-Tools-diff.so
%{_libdir}/libSPIRV-Tools-link.so
%{_libdir}/libSPIRV-Tools-lint.so
%{_libdir}/libSPIRV-Tools-opt.so
%{_libdir}/libSPIRV-Tools-reduce.so
%{_libdir}/libSPIRV-Tools-shared.so
%{_libdir}/libSPIRV-Tools.so
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/spirv-tools
%{_includedir}/spirv-tools/*
%dir %{_libdir}/cmake/SPIRV-Tools
%{_libdir}/cmake/SPIRV-Tools/SPIRV-Tools*.cmake
%dir %{_libdir}/cmake/SPIRV-Tools-diff
%{_libdir}/cmake/SPIRV-Tools-diff/SPIRV-Tools*.cmake
%dir %{_libdir}/cmake/SPIRV-Tools-link
%{_libdir}/cmake/SPIRV-Tools-link/SPIRV-Tools*.cmake
%dir %{_libdir}/cmake/SPIRV-Tools-lint
%{_libdir}/cmake/SPIRV-Tools-lint/SPIRV-Tools*.cmake
%dir %{_libdir}/cmake/SPIRV-Tools-opt
%{_libdir}/cmake/SPIRV-Tools-opt/SPIRV-Tools-opt*.cmake
%dir %{_libdir}/cmake/SPIRV-Tools-reduce
%{_libdir}/cmake/SPIRV-Tools-reduce/SPIRV-Tools-reduce*.cmake
%dir %{_libdir}/cmake/SPIRV-Tools-tools
%{_libdir}/cmake/SPIRV-Tools-tools/*.cmake
%{_libdir}/pkgconfig/SPIRV-Tools-shared.pc
%{_libdir}/pkgconfig/SPIRV-Tools.pc
%doc CHANGES README.md

%changelog
* Thu May 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.2-1mamba
- update to 2023.2

* Tue Dec 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2022.4-1mamba
- package created using the webbuild interface
